import http from '@/request/index.js';
export const state = {
	oubondDelData: [], //药品查询耗材
};
export const mutations = {
	setOubondDelData(state, data) {
		state.oubondDelData = data
	}
}
//药品明细出库-药品查询
export const actions = {
	getoutBondDelData({
		commit,
		rootState
	}, data) {
		return new Promise((resolve, reject) => {
			http('outbondDetal.getData', {
				...data,
				current: 1,
				size: 10000
			}, '加载中').then(res => {
				if (res.success == true) {
					commit('setOubondDelData', res.data.records);
				}
			}).catch(e => {
				reject(e)
			})

		})
	}
}